devel/py-singledispatch - The NetBSD Packages Collection

Library brings functools.singledispatch from Python 3.4

Expose a mechanism in the functools standard library module from
Python 3.4 to provides a simple form of generic programming known
as single-dispatch generic functions.

Build dependencies

devel/py-setuptools_scm pkgtools/cwrappers

Runtime dependencies

lang/py-six devel/py-setuptools44 lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-singledispatch-3.6.2.tgz
NetBSD 8.0earmv7hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 8.0earmv7hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 8.0i386py27-singledispatch-3.4.0.3.tgz
NetBSD 8.0i386py27-singledispatch-3.4.0.3.tgz
NetBSD 8.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 8.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 8.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 8.0powerpcpy27-singledispatch-3.6.2.tgz
NetBSD 8.0x86_64py27-singledispatch-3.4.0.3.tgz
NetBSD 8.0x86_64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0aarch64py27-singledispatch-3.6.2.tgz
NetBSD 9.0aarch64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0aarch64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0alphapy27-singledispatch-3.6.2.tgz
NetBSD 9.0alphapy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0alphapy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmv6hfpy27-singledispatch-3.6.2.tgz
NetBSD 9.0earmv6hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmv6hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmv7hfpy27-singledispatch-3.6.2.tgz
NetBSD 9.0earmv7hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmv7hfpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0earmv7hfpy27-singledispatch-3.6.2.tgz
NetBSD 9.0i386py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0i386py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0i386py27-singledispatch-3.6.2.tgz
NetBSD 9.0m68kpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0m68kpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mips64ebpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mips64ebpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mips64ebpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mips64ebpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mips64ebpy27-singledispatch-3.6.2.tgz
NetBSD 9.0mipselpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mipselpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0mipselpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0powerpcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0powerpcpy27-singledispatch-3.6.2.tgz
NetBSD 9.0sh3elpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sh3elpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sh3elpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sh3elpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparc64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparc64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparc64py27-singledispatch-3.6.2.tgz
NetBSD 9.0sparcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0sparcpy27-singledispatch-3.4.0.3.tgz
NetBSD 9.0x86_64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0x86_64py27-singledispatch-3.6.2.tgz
NetBSD 9.0x86_64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0x86_64py27-singledispatch-3.4.0.3.tgz
NetBSD 9.0x86_64py27-singledispatch-3.6.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.